/* fichero mat1n1m.c */
#include <stdio.h>
#include <stdlib.h>

double **crearMatriz(int m, int n) {
    int    i;
    double **matriz;
    matriz=calloc(m, sizeof(double *));
    --matriz;
    for (i=1; i<=m; i++) {
        matriz[i]=calloc(n, sizeof(double));
        --matriz[i];
    }
    return matriz;
}

void destruirMatriz(double **matriz, int m) {
    int i;
    for (i=1; i<=m; i++)
        free(++matriz[i]);
    free(++matriz);
}

void main(void) {
    double **a;
    int    n, i, j;

    printf("\nTeclea el valor de n: ");
    scanf("%d", &n);
    a=crearMatriz(n, n);
    for (i=1; i<=n; i++)
        for (j=1; j<=n; j++) {
            printf("Teclea a(%d, %d): ", i, j);
            scanf(" %lf", &a[i][j]);
        }
    printf("\n");
    for (i=1; i<=n; i++) {
        for (j=1; j<=n; j++){
            printf("   a(%d, %d) = ", i, j);
            printf("%lf ", a[i][j]);
        }
        printf("\n");
    }
    destruirMatriz(a, n);
}

