/* fichero barra.c */

#include <stdio.h>
#include <math.h>
#define PI 3.141592654

void main(void) {
    int i;
    FILE *fi;
    double x, y;
    double radianes, grados, longitud;
    double calculaLongitud(double, double);
    double atan2a(double, double);

    fi = fopen("datos.d", "r");
    for (i=1; i<=10; i++) {
        fscanf(fi, "%lf", &x);
        fscanf(fi, "%lf", &y);

        longitud=calculaLongitud(x,y);
        radianes=atan2a(x,y);
        grados=radianes*180.0/PI;

        printf("En el instante %d la barra tiene una longitud de %lf\n", 
            i, longitud);
        printf("y forma un angulo de %lf radianes ", radianes);
        printf("o %lf grados con la horizontal.\n", grados);
        getchar();
    }
    fclose(fi);
}

double calculaLongitud(double x, double y) {
    double resul;
    resul=sqrt(x*x+y*y);
    return(resul);
}

double atan2a(double x, double y) {
    double resul, aux;
    if (x==0.0)
        if (y>0.0) 
            resul=PI/2;
        else
            resul=-PI/2;
    else
        aux=atan(y/x);

    if ((x<0.0)&&(x!=0.0))
        if (y>=0.0)         /*si el angulo esta en el segundo cuadrante */
            resul=aux+PI;
        else
           resul=aux-PI;    /* si el angulo esta en el tercer cuadrante */
    else if (x!=0.0)
        resul=aux;          /* si el angulo esta en el primer o cuarto cuadrante */
    return resul;
}
